Package picard.vcf

## Class GA4GHSchemeWithMissingAsHomRef

- java.lang.Object
- - picard.vcf.GenotypeConcordanceScheme
  - - picard.vcf.GA4GHSchemeWithMissingAsHomRef

-     public class GA4GHSchemeWithMissingAsHomRef
      extends GenotypeConcordanceScheme

  The default scheme is derived from the GA4GH Benchmarking Work Group's proposed evaluation scheme. This scheme has been edited to count MISSING sites in the truth set differently for use with truth sets where the HOM_REF sites are not included in the data set. The MISSING truth sites are called like they are HOM_REF sites.

- - ### Field Summary

    - ### Fields inherited from class picard.vcf.GenotypeConcordanceScheme

      `EMPTY, FN_ONLY, FP_FN, FP_ONLY, FP_TN, FP_TN_FN, NA, scheme, TN_FN, TN_ONLY, TP_FN, TP_FP, TP_FP_FN, TP_ONLY, TP_TN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GA4GHSchemeWithMissingAsHomRef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `initiateScheme()` |

    - ### Methods inherited from class picard.vcf.GenotypeConcordanceScheme

      `addRow, getConcordanceStateArray, getConcordanceStateArray, getContingencyStateSet, getContingencyStateString, validateScheme`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GA4GHSchemeWithMissingAsHomRef

          public GA4GHSchemeWithMissingAsHomRef()

  - ### Method Detail

    - #### initiateScheme

          protected void initiateScheme()

      Specified by:
        `initiateScheme` in class `GenotypeConcordanceScheme`